part of 'generated.dart';

class DeleteAssignmentVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteAssignmentVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteAssignmentData> dataDeserializer = (dynamic json)  => DeleteAssignmentData.fromJson(jsonDecode(json));
  Serializer<DeleteAssignmentVariables> varsSerializer = (DeleteAssignmentVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteAssignmentData, DeleteAssignmentVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteAssignmentData, DeleteAssignmentVariables> ref() {
    DeleteAssignmentVariables vars= DeleteAssignmentVariables(id: id,);
    return _dataConnect.mutation("DeleteAssignment", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteAssignmentAssignmentDelete {
  final String id;
  DeleteAssignmentAssignmentDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteAssignmentAssignmentDelete otherTyped = other as DeleteAssignmentAssignmentDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteAssignmentAssignmentDelete({
    required this.id,
  });
}

@immutable
class DeleteAssignmentData {
  final DeleteAssignmentAssignmentDelete? assignment_delete;
  DeleteAssignmentData.fromJson(dynamic json):
  
  assignment_delete = json['assignment_delete'] == null ? null : DeleteAssignmentAssignmentDelete.fromJson(json['assignment_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteAssignmentData otherTyped = other as DeleteAssignmentData;
    return assignment_delete == otherTyped.assignment_delete;
    
  }
  @override
  int get hashCode => assignment_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (assignment_delete != null) {
      json['assignment_delete'] = assignment_delete!.toJson();
    }
    return json;
  }

  DeleteAssignmentData({
    this.assignment_delete,
  });
}

@immutable
class DeleteAssignmentVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteAssignmentVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteAssignmentVariables otherTyped = other as DeleteAssignmentVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteAssignmentVariables({
    required this.id,
  });
}

